
label threestart:
    
    scene tracks with fade

label tto:
    screen thrchat:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("tdo")]
            
        imagebutton:
            idle "Melony.png"
            hover "Melony.png"
            action [Jump ("melspe_9")]
    call screen thrchat
    
label melspe_9:
    
    show melony at left
    m "Come to think of it, you never told me why you were first looking for
       the ghost train."
    t "Why? Hm. Man, now that I know what I know about it, it's hard to remember
       exactly what made me want to find it back then."
    t "I guess it was partly the fun of looking for it, and the accomplishment of
       proving its existence. But all I care about now is stopping it from falling
       into the wrong hands."
    m "I want to save them both. The train and my sister."
    t "We will. I swear it."
    hide melony
    jump tto

label tdo:

    scene trador with fade
    
    screen tmapdor:
    
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("doorn")
        
    call screen tmapdor
        
    $ result = _return
        
    if result == "doorn":
        play sound "door.ogg"
        jump HallMon
        
label HallMon:

    scene haldor with fade
    t "I always get the feeling something is going to surprise me behind these doors."
    show melony with dissolve
    m "Let me go through first and check it out."
    t "Hey, that's a good idea! Be careful, though."
    m "Or what, somehthing might kill me?"
    t "Hey, excuse me for caring."
    m "Hee hee, you're forgiven. Off I go!"
    hide melony with dissolve
    
    pause 3.0
    
    show melony with dissolve
    
    m "Coast is clear. Funny phrase, 'coast is clear'..."
    t "Yeah. Probably originated in the military or somewhere."
    m "Makes sense."
    hide melony with dissolve
    
    screen tomonpuz:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("monpuz")]
            
    call screen tomonpuz
    
label monpuz:
    
    show melony with dissolve
    m "Trick, wait."
    t "Something up?"
    m "No, I just... I want to apologize for what I said a minute ago.
       You were just showing concern for my well-being, I shouldn't have been
       sassy. I apprecitate it, I really do."
    t "Aw, don't worry about it. We were both kidding around about it, so no
       hard feelings."
    m "Thank you."
    hide melony with dissolve
    pause .5
    
    scene office with fade
    
    t "The power's back. Let's see if we can spot Robin and Linda on this monitor."
    
label puzma:
    
    screen mma_imagemap:
            imagemap:
                ground "TicketO.jpg"
                hover "TicketOM.jpg"
                
                hotspot (325, 148, 150, 78) clicked Return("moni")
                
    call screen mma_imagemap
    $ result = _return
        
    if result == "moni":
        play sound "button.ogg"
        jump toCams
        
label toCams:
    t "Looks like I can cycle through different cameras where the power's on.
       Let's look closely."
        
label AtCams:

    scene tracks
    pause
    scene trador
    pause
    scene fork
    pause
    scene tright
    pause
    scene showhidden
    pause
    scene black
    pause
    scene tleft
    pause
    scene tracover
    pause
    scene shaftop
    pause
    scene office
    
    m "One of the cameras was offline. Any idea which one it was?"
    
    menu:
    
        "The straight tracks near the boarding platform":
            t "The tracks at the platform where I entered the subway."
            m "Ummm. You sure about that?"
            t "(Maybe I should take another look...)"
            jump puzma
    
        "The split directions farther down the track":
            t "The fork where the tracks go left or right."
            m "Ummm. You sure about that?"
            t "(Maybe I should take another look...)"
            jump puzma
        
        "Near the hole in the floor":
            t "At the shaft leading to the lower level."
            m "Ummm. You sure about that?"
            t "(Maybe I should take another look...)"
            jump puzma
            
        "The tracks down on the lower level":
            t "Below us. No cameras are online down there."
            m "Yeah, but does that really matter?"
            t "(She's right. If the train was going to be caught down there, Robin
               and Linda would have turned on the monitors on the lower floor. Maybe 
               I should take another look at this monitor...)"
            jump puzma
        
        "Where I came back up from below and hid":
            t "There was an alcove in the wall where I emerged from the lower level.
               That's the one place not showing up here. That's where they're headed
               next."
            m "Should we wait until they've set everything up?"
            t "No. If we do that, they may beat us to the ghost train as well. I want 
               to be ready to move in on it at the same time they are."
    
    screen to_tun_th:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("tun_jack")]
    
    call screen to_tun_th
    
label tun_jack:

    scene haldor with fade
    
    t "A chill in the air. Jack must be close by."
    
    pause 1.0
    #jack theme
    
    show jack with slow_dissolve:
        xpos 100 ypos 400
        linear 5.0 ypos 0
        
    pause 0.5
    
    t "Yo."
    j "That's becoming our standard greeting, isn't it? Oh, hey Melony."
    show melony at right with dissolve
    m "Hi, Jack. Long time no scream."
    t "You two have met?"
    j "Of course. Iwas the one who reaped her when she died."
    m "-snicker- That sounded wrong."
    t "(Not going to comment on that...) So, any luck finding your hourglass?"
    j "Zip."
    m "I'm sorry to hear that. Hey Trick, do you think we have time to look for it?"
    j "Daw, man, so neither one of us has any clues. Mind takin' a few minutes to help
       me look more thoroughly?"
    t "Well... we're kind of on a timer, but we can keep an eye out as we go."
    j "Right. Anyway, I actually came to warn you about what's up ahead."
    t "What's up ahead?"
    j "Just remember one thing: if you go around any corners, keep close track of the
       directions so you can navigate 'em in reverse."
    m "Why would we need to do that?"
    j "If you're lucky, you won't have to. But I have a feelin' the ghost train is gonna
       pull somethin' crazy real soon."
    t "Um, OK. Thanks for the tip."
    j "Sure. Don't forget, you scratch my back, I'll scratch yours. Laters."
    hide jack with dissolve
    t "Wait a second! Dang, he's already gone."
    m "We should be gone too, or we'll fall behind Robin and Linda."
    
    screen to_tra_th:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("traChase")]
    
    call screen to_tra_th
    
label traChase:

    scene trador with fade
    
    screen chaO:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("chat")]
            
    call screen chaO
    
label chat:

    scene tracks with fade
    
    screen chaT:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("chath")]
            
    call screen chaT
    
label chath:
    
    scene tracks with fade

    screen chaTh:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("hold")]
            
    call screen chaTh
    
label hold:

    scene trador with fade
    t "I think it's through this adjoining hallway."
    
    screen hidetwo:
    
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("doorh")
        
    call screen hidetwo
        
    $ result = _return
        
    if result == "doorh":
        play sound "door.ogg"
        jump eaves
    
label eaves:

    scene eavesd with fade
    
    pause 1.5
    show robin at left with dissolve
    show linda with dissolve
    play music "robin3.ogg" fadeout .5 fadein .5
    
    r "Last booth isn't far. The ghost train will be ours very soon."
    l "Yeah, yeah, stop saying that already."
    
    hide robin with dissolve
    hide linda with dissolve
    pause 1.0
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    m "I think they're gone."
    t "Or as you would say, 'the coast is clear.'"
    m "Ha ha ha! Right."
    if have_pendant:
        t "(Melony is floating close to me. Even though she's a ghost, since she has
           her necklace now, I can actually feel her as if she were a living person.
           I move closer automatically, just for the feeling."
        t "Without a word, she wraps an arm around my shoulder in a loose hug. I think 
           she's happy to be able to do things like this again, after so many years 
           alone. But suddenly, she jerks her head up and lets go.)"
    m "Wait, do you feel that?"
    t "Feel what?"
    m "I'm not sure. Sort of a whisper, except I feel it rather than hear it. It's coming from somewhere off to the right."
    t "Robin and Linda went left. Whatever it is, we don't have time for it."
    m "But shouldn't we check it out anyway?"
    t "Why?"
    m "I don't know, just because, I guess. No, never mind, you're right. We should
       focus on our goal and not get sidetracked."
    $ hglass = False
    screen chooseNow:
        
        imagemap:
            ground "Spying.jpg"
            hover "SpyingMap.jpg"
            
            hotspot (270, 190, 55, 55) clicked Return ("Gleft")
            hotspot (455, 190, 55, 55) clicked Return ("Gright")
        
    call screen chooseNow
    $ result =_return
        
    if result == "Gleft":
        jump xx
        
    if result == "Gright":
        t "Maybe a couple minutes out of our way won't hurt..."
        jump deadHide
        
label deadHide:
    
    scene tracks with fade
    screen HidMi:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("ToFi")]
            
    call screen HidMi
    
label ToFi:
    
    scene find with fade
    play music "puzzle1s.ogg" fadeout .5 fadein .5
    screen FindRoom:
        
        imagemap:
            ground "TracksDead.jpg"
            hover "TracksDeadMap.jpg"
            
            hotspot (0, 555, 800, 45) clicked Return ("Gback")
            hotspot (35, 340, 185, 210) clicked Return ("Gwall")
        
    call screen FindRoom
    $ result =_return
        
    if result == "Gback":
        t "There's nothing here. We'd better turn back."
        jump xx
    if result == "Gwall":
        t "There's a loose bit of wall here."
        play sound "crumble.ogg"
        jump foundYa
            
label foundYa:
    
    scene uncovered with fade
    m "What could be in there?"
    t "We're about to find out."
    
    screen to_hour:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 200 ypos 475
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("hourRoom")]
            
    call screen to_hour
    
label hourRoom:
    
    scene glass with fade
    stop music fadeout 1
    $ hglass = False
    
    screen ninja:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 193 ypos 437
            idle "ninja face.png"
            hover "ninja face.png"
            action [Jump ("foundglass")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("turn_back")]
            
    call screen ninja
    
label foundglass:
    
    t "Hey! That was the ninja face from Spot the Ninja!"
    m "What's that?"
    t "It's a new mobile game by Sanctum Games. You look for a little ninja head
       in eighty-five different pictures and a bunch of difficulty levels!"
    m "Should be no sweat for you."
    t "Whoa, what's this?"
    
    show hourglass with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
    $ hglass = True
    play music "tunnels.ogg" fadeout .5 fadein .5
    t "Melony, I think this is Jack's hourglass!"
    m "Where?"
    t "Uh, right here in my hand."
    m "But you're not holding anything."
    t "Huh? Yeah I am. You can't see it?"
    m "Hm-mm."
    t "Well, it's here. Guess we know why Jack couldn't find it. (But what could have
       happened to make him unable to see it?)"
    hide hourglass with dissolve
    
    screen letsgo:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("turn_back")]
            
    call screen letsgo
    
label turn_back:
    
    if not hglass:
        play music "tunnels.ogg" fadeout .5 fadein .5
        scene black with fade
        t "(Even after all that, we never found anything in that room. I took us back to
           the tunnel Robin and Linda had gone down. Neither of us said anything, but I
           could tell we were both disappointed.)"
        jump xx
    scene find with fade
        
    screen btrack:
            
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("xx")]
            
    call screen btrack
        
    
label xx:
    
    scene tracks with fade
    
    screen tocurves:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("curveOne")]
            
    call screen tocurves
    
label curveOne:
    
    scene tleft with fade
    
    screen toTwo:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 200 ypos 350
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("curveTwo")]
            
    call screen toTwo
    
label curveTwo:

    scene tright with fade
    
    screen toThree:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 350
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("curveThree")]
            
    call screen toThree
    
label curveThree:

    scene tleft with fade
    
    screen toFour:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 200 ypos 350
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("curveFour")]
            
    call screen toFour
    
label curveFour:

    scene tright with fade
    
    screen toFive:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 350
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("curveFive")]
            
    call screen toFive
    
label curveFive:

    scene tright with fade
    
    screen toSix:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 350
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("curveSix")]
            
    call screen toSix
    
label curveSix:

    scene tleft with fade
    
    screen toBlack:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 200 ypos 350
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("BlackStart")]
            
    call screen toBlack
    
label BlackStart:

    scene run with fade
    
    t "What? Now where could they have gone? I did't see any connecting
       tunnels or doors."
    m "Me neither."
    #HOLLOW, EERIE SOUND
    stop music fadeout .75
    m "What's that?"
    t "I don't like this..."
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 9 zoom 25
    
    #SCARY MUSIC
    t "What is that?!"
    m "Let's get out of here!"
    
    screen runaway:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("runOne")]
            
    call screen runaway
    
label runOne:

    scene fork with fade
    $ xpo = renpy.random.randint(1, 720)
    $ ypo = renpy.random.randint(1, 520)
    $ tries = 3
    $ looked = False

    $ config.rollback_enabled = False

    #IF CANT DO TIMER, DO A "THREE STRIKES YOU'RE OUT" THING - MAKE SCREEN SHOW BLACK
    #AT INCREASING TRANSPARENCY AS PLAYER GUESSES WRONG
    #BLACKNESS SPAWNS AT CENTER AND GROWS EACH SCREEN. IS THERE A WAY TO KEEP IT
    #THERE BETWEEN SCENES?
    #HOURGLASS AT BOTTOM LEFT, USED TO FLASH THE DIRECTIONS TO THE PLAYER
    
    t "Whoa, these forks weren't here before! (Which way, which way?)"
    
label dorunone:
    
    scene fork
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 9 zoom 25
    if hglass == True and looked == False:
        screen glass_back:
        
            imagebutton:
                xpos 0 ypos 530
                idle "hourglass.png"
                hover "hourglass.png"
                action [Jump ("remember")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("runTwo")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 280 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("judgeT")]
                
        call screen glass_back
    else:
        screen foon:
            imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("runTwo")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 280 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("judgeT")]
        call screen foon
    

label remember:
    
    scene tleft with quick_d
    pause .25
    show white with quick_d
    scene tright with quick_d
    pause .25
    show white with quick_d
    scene tleft with quick_d
    pause .25
    show white with quick_d
    scene tright with quick_d
    pause .25
    show white with quick_d
    scene tright with quick_d
    pause .25
    show white with quick_d
    scene tleft with quick_d
    pause .25
    t "(Those are the turns we came through. So I need to take the opposite directions in reverse
       order to get back safely!)"
    $ looked = True
    show white with quick_d
    jump dorunone
    
label judgeT:
    $ tries -= 1
    if tries == 0:
        jump swallowed
    else:
        jump dorunone

label runTwo:

    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 8 zoom 25
    screen foto:
        
        imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("judgeT")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("runThree")]
                
    call screen foto
    
label runThree:

    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 7 zoom 25
    screen foth:
        
        imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("judgeT")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("runFour")]
                
    call screen foth

label runFour:

    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 6 zoom 25
    screen fofo:
        
        imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("runFive")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("judgeT")]
                
    call screen fofo
    
label runFive:

    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 5 zoom 25
    screen fofi:
        
        imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("judgeT")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("runSix")]
                
    call screen fofi
    
label runSix:

    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 4 zoom 25
    screen fosi:
        
        imagebutton:
                xalign .5 yalign .5
                xpos 520 ypos 345
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("escaped")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("judgeT")]
                
    call screen fosi

label swallowed:
    
    scene run with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 1 zoom 25
        
    t "Oh no! It got u-"
    stop music fadeout .5
    pause 1
    "G A M E  O V E R"
    return

label escaped:

    scene trador with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    show melony with dissolve
    $ config.rollback_enabled = True
    $ renpy.block_rollback()
    t "We made it!"
    m "What on Earth happened back there?"
    t "I have no idea. It was like the subway was vanishing or something."
    m "Could it have been the ghost train? Maybe it was reacting to what Robin
       and Linda are doing. Like trying to get around their plan or something."
    t "(There has to be more to it than that. I don't see why it would try to evade
       them if they're going to board it willingly.)"
    t "Anyway, we can't follow them now. I think our best bet is to go through the
       tunnel here to the adjacent tracks. With any luck, we can still find them before
       they board the train somehow."
    hide melony with dissolve
    
    screen breather:
        
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("brdoor")
        
    call screen breather
        
    $ result = _return
        
    if result == "brdoor":
        play sound "door.ogg"
        jump adjhall
        
label adjhall:
    
    scene haldor with fade
    
    screen brhall:

        imagemap:
            ground "HallDoor.jpg"
            hover "HallDoorMap.jpg"
                
            hotspot (327, 132, 120, 165) clicked Return("dr")
            
    call screen brhall
    
    $ result = _return
        
    if result == "brdoor":
        play sound "door.ogg"
        jump JackLeave
        
label JackLeave:

    scene trador with fade
    show melony at right with dissolve
    t "The air's getting cold. Jack's on his way."
    
    show jack with slow_dissolve:
        xpos 100 ypos 400
        linear 5.0 ypos 0
        
    #jack theme
    m "Yo."
    j "She stole our line, Trick!"
    t "I heard."
    if hglass:
        show hourglass with dissolve:
            xalign .5 yalign .5
            xpos 400 ypos 300
        t "Here. This hourglass is yours, right?"
        j "Dude, you actually found it? Trippin!"
        j "..."
        j "So, yeah, uh, where is it, man?"
        t "You're kidding, right? It's here in my hand!"
        j "...Nope. Not seein' anythin', bro."
        m "I can't see it either. Wonder what's going on?"
        j "Hm. Could be I've filled my quota."
        t "Your quota?"
        j "Yep. Minor reapers like me don't do the job full-time, see. We have a quota
           of lives to take to the next world, then we're all done. If you've got my
           hourglass and I can't see it, then I guess my reaping days are done."
        hide hourglass with dissolve
        t "So then, what happens now?"
        j "Well, nothing. I go home. And since I don't need the thing anymore, I guess
           you can keep it."
        t "Really? Wait, I'm not going to have to be a reaper, am I?"
        j "Nah. I'm givin' it to ya no strings attached."
        t "Thanks!"
        m "Hey, so how come I can't see it and Trick can?"
        j "Other ghosts can't use it; a failsafe to make sure the hourglass doesn't fall
           into their hands. As for why Trick can see and touch it, I gave him a bit of my
           power eariler so he could."
        m "Cool."
        if looked:
            t "I sorta kinda used it a couple minutes ago, actually. We had to make a run
               through tunnels that shouldn't have been there, and it showed me the way we
               came so I knew what paths to take."
            j "M-hm. That's how it works. It shows you the past, and if you use it right,
               it can even take you back to an earlier point in time."
            m "That'll come in handy!"
            j "Use it well. If those crooks get ahold of the ghost train, no only will they
               misuse it, but the souls trapped on it will never be free. You're the only
               guy around who has a chance of putting things right."
            t "And that's exactly what I plan to do."
            j "Well, my work here is done. Next time we all meet, it will be in the next
               world."
            hide jack with slow_dissolve
            $ looked = false
        else:
            t "How do I use it?"
            j "The hourglass can show you the past and help you see the way forward. It also
               has the power to take you back in time to undo a mistake. But once you do
               that, the hourglass becomes useless for twenty-four hours."
            t "So that's a last resort move. Got it."
            j "Use it well. If those crooks get ahold of the ghost train, no only will they
               misuse it, but the souls trapped on it will never be free. You're the only
               guy around who has a chance of putting things right."
            t "And that's exactly what I plan to do."
            j "Well, my work here is done. Next time we all meet, it will be in the next
               world."
            hide jack with slow_dissolve
    else:
        m "Any luck finding your hourglass, Jack?"
        j "Nada. I might have to accept that it's gone for good."
        t "What happens if you can't find it?"
        j "I get fired."
        t "And... what happens to you then?"
        j "Uh, I look for a new job. Look, dude, I know you're still in school, but come
           on!"
        m "Haha! I think we both thought you were going somewhere else with this, Jack."
        j "Eh, whatever. Since I won' be reaping anymore, there's not much point in me
           hanging around down here. Think I'll head on back to the after-world."
        m "You won't stay nad help us a bit longer?"
        j "Sorry kid, gotta report my screw-up to HQ. And frankly, this abandoned subway
           gives me the jeepers creepers. Later."
        hide jack with slow_dissolve
    t "Hold up a sec'!"
    show jack with quick_d:
        xpos 100 ypos 0
    j "Eh?"
    t "Something really crazy happened to us on the tracks down that tunnel we came out
       of."
    j "What sort of crazy thing?"
    m "The whole subway started vanishing into a void of some kind!"
    j "Dude, you serious? That's messed up."
    t "Do you have any idea what that might have been?"
    j "Oh, sure. That section of the subway probably never existed in the first place."
    t "Eh?"
    m "Eh?"
    j "Eh? Oh, wait."
    j "Yeah. The ghost train probably used some of its energy to create an extra space
       to move through, and erased it when it was done."
    t "But we saw Robin and Linda head that way. And we didn't see the train."
    j "Doesn't matter. Those two could have known it was capable of doing that and used
       its fake tunnel as a shortcut. As for the train, you probably came into the space
       late, after it had moved on."
    m "But if the ghost train can do that, there's no way they'll ever catch it if it
       can just make more room for itself."
    j "Nah. Doing that stunt takes a fair amount of power, I'd wager. They'll trap it
       eventually."
    t "Alright. Thanks for the insight."
    j "No sweat. Now, I really gotta get going, so-"
    m "Laters."
    j "Again with the line stealing..."
    hide jack with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    m "So then, we can definitely catch the ghost train!"
    t "Right. But I still don't know what to do when we see it, or how to deal with
       Robin and Linda."
    play sound "traina.ogg"
    show lights with dissolve:
        xalign .5 yalign .5
        pause .25
    hide lights with dissolve
    m "The ghost train! It's coming right at us!"
    show lights with dissolve:
            xalign .5 yalign .5
            linear 2.0 zoom 10.0
    play sound "train.ogg"
    show white with dissolve
    hide lights
    hide white with dissolve
    m "That was just like when we first met, wasn't it?"
    t "Yeah. Man, feels like we've known each other forever. hard to believe it's been
       less than a day."
    m "And I'm with you until the end. I won't leave your side for an instant. We can
       do this together, I know we can!"
    t "Right. Let's catch that train!"
    hide melony with dissolve
    
    screen afterIt:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("afterTwo")]
            
    call screen afterIt
    
label afterTwo:
    
    scene tracks with fade
    
    screen afterThr:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("AftLin")]
            
    call screen afterThr
    
label AftLin:

    scene tside with fade
    show linda
    show traindoor behind linda:
        xalign 1 yalign 1
    
    #linda theme
    l "I knew you'd show up here."
    t "And I, you."
    l "Kid, this is as far as you go. I let you free before because you showed me
       you had brains, but Robin and I are about to achieve our goal. There's no
       way I'm letting you interfere."
    t "..."
    l "What? Nothing to say? That's a switch after you wouldn't shut up at the hideout."
    t "You need to let me board. I'm the only one who can put the ghost train to rest
       and free the captured souls aboard it."
    l "It's a machine, kid. It doesn't rest, and the people aboard it are already doomed."
    t "No, they're not. I've figured it out. The train manifests as a ghost because it
       wants to finish delivering the passengers from the crash to their destinations."
    l "Y-you're serious, aren't you?"
    t "Let me on."
    m "Little sis..."
    l "..."
    l "The answer is still no."
    t "But-"
    play sound "train.ogg"
    hide traindoor with dissolve
    l "There it goes. Exactly as planned."
    t "Come on, Melony! Let's move while she's looking away!"
    show black with dissolve
    stop music fadeout .5
    pause .75
    hide black with quick_d
    l "Melony...?"
    jump lacha
    
label lacha:

    scene tracks with fade
    play music "tunnels.ogg" fadein .5
    t "We have to catch it before they do!"
    m "Right!"
    show linda with dissolve
    l "If you think you can, you're welcome to try!"
    t "I thought you were intent on stopping us. Why the change of heart?"
    l "Save it. There's still no way you'll beat me to the ghost train!"
    hide linda with dissolve
    t "(OK, where should I go? If we just go straight to the first location, we'll always
       be behind Linda. We need to skip ahead of her, not follow her.)"
    
label decisions:
    
    show melony at right with dissolve
    if hglass == True and looked == False:
        screen glass_back_two:
        
            imagebutton:
                xpos 0 ypos 530
                idle "hourglass.png"
                hover "hourglass.png"
                action [Jump ("remembertwo")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 650 ypos 0
                idle "melony.png"
                hover "melony.png"
                action [Jump ("mel_skip")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 400 ypos 350
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("AftTrn")]
                
        call screen glass_back_two
        
    else:
        screen just_mel:
            
            imagebutton:
                xalign .5 yalign 0
                xpos 650 ypos 0
                idle "melony.png"
                hover "melony.png"
                action [Jump ("mel_skip")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 400 ypos 350
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("AftTrn")]
                
        call screen just_mel
        
label remembertwo:
    
    show white with quick_d
    scene tracks with quick_d
    m "This is where we first met."
    show white with quick_d
    scene tracover with quick_d
    t "That's where we changed the rails to cross that hole."
    show white with quick_d
    scene showhidden with quick_d
    m "That was the shortcut Robin sealed up."
    show white with quick_d
    scene shaftop with quick_d
    t "I climbed down to the second floor there."
    show white with quick_d
    scene duck with quick_d
    t "That's where I hid after coming up from below."
    show white with quick_d
    scene fork with quick_d
    if chasechoice == 1:
        t "I think that's where I chased the train after hiding from Robin and Linda."
    elif chasechoice == 2:
        t "I followed Robin and Linda down that fork before meeting up with you on
           the platform again."
    show white with quick_d
    scene platform with quick_d
    m "That's where I reunited with you finally."
    show white with quick_d
    scene trador with quick_d
    m "We met Jack for the last time there."
    show white with quick_d
    $ looked = True
    scene tracks with quick_d
    jump decisions
    
label mel_skip:
    
    m "Instead of chasing the train, we should try and head it off. It's the best way
       to beat Linda to it, I think."
    t "Good thinking. Rather than go to the locations in order, we hit every other one!"
    jump decisions
    
label AftTrn:
    if chasechoice == 1:
        menu:
            "Go to where we first met each other":
                jump lindawins
            "Go to where we changed the rail directions":
                play sound "correct.ogg"
                jump closerone
            "Go to where Robin had sealed up the shortcut past the cave-in":
                jump lindawins
            "Go to where I climbed down to the second floor":
                jump lindawins
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I chased the train down the forks":
                jump lindawins
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
    elif chasechoice == 2:
        menu:
            "Go to where we first met each other":
                jump lindawins
            "Go to where we changed the rail directions":
                play sound "correct.ogg"
                jump closerone
            "Go to where Robin had sealed up the shortcut past the cave-in":
                jump lindawins
            "Go to where I climbed down to the second floor":
                jump lindawins
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I followed after Robin and Linda":
                jump lindawins
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
            
label lindawins:
    scene tside with fade
    play sound "wrong.ogg"
    show traindoor
    show linda
    t "Shoot! She beat us!"
    l "Sorry, kid. You lose."
    hide linda with dissolve
    m "No! Sis, wait!"
    play sound "train.ogg"
    hide traindoor with dissolve
    t "I don't believe it. After all that..."
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 9 zoom 25
    m "No! The void!"
    t "Melony, get out of here!"
    m "I'm staying!"
    t "(There was no more time to argue. I couldn't even open my mouth before the 
       blackness swallowed us both...)"
    stop music fadeout 1
    pause 1
    show black with dissolve
    "G A M E  O V E R"
    return
    
label closerone:
    
    scene tracover with fade
    play sound "traina.ogg"
    show lights with quick_d:
        xalign .5 yalign .5
        xpos 260 ypos 250
        alpha .25
        zoom .25
    hide lights with quick_d
    m "There!"
    t "(Looks like we're ahead of Linda. Where to now?)"
    if chasechoice == 1:
        menu:
            "Go to where Robin had sealed up the shortcut past the cave-in":
                jump lindawins
            "Go to where I climbed down to the second floor":
                play sound "correct.ogg"
                jump closertwo
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I chased the train down the forks":
                jump lindawins
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
    elif chasechoice == 2:
        menu:
            "Go to where Robin had sealed up the shortcut past the cave-in":
                jump lindawins
            "Go to where I climbed down to the second floor":
                play sound "correct.ogg"
                jump closertwo
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I followed after Robin and Linda":
                jump lindawins
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
            
label closertwo:
    
    scene shaftop with fade
    play sound "traina.ogg"
    show lights with quick_d:
        xalign .5 yalign .5
        alpha .25
        zoom .50
    hide lights with quick_d
    m "We got closer this time!"
    t "(So far so good.)"
    if chasechoice == 1:
        menu:
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I chased the train down the forks":
                play sound "correct.ogg"
                jump closerthree
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
    elif chasechoice == 2:
        menu:
            "Go to where I came back up from below":
                jump lindawins
            "Go to where I followed after Robin and Linda":
                play sound "correct.ogg"
                jump closerthree
            "Go to where Melony and I reunited":
                jump lindawins
            "Go to where we met Jack for the last time":
                jump lindawins
            
label closerthree:
    
    scene fork with fade
    play sound "traina.ogg"
    show lights with quick_d:
        xalign .5 yalign .5
        xpos 540 ypos 250
        alpha .25
        zoom .75
    hide lights with quick_d
    m "We've almost got it!"
    t "(OK, next one's for the win!)"
    menu:
        "Go to where Melony and I reunited":
            jump lindawins
        "Go to where we met Jack for the last time":
            jump wewin
            
label wewin:
    scene train with fade
    play sound "correct.ogg"
    m "We're here! We did it!"
    menu:
        "Board the ghost train!":
            jump beginfinal
        "Go home and have dinner":
            m "Ha ha, very funny."
            jump beginfinal
    
label beginfinal:

    scene cockpit with fade
    stop music fadeout .5
    show robin at left
    show linda
    show melony at right with dissolve
    l "Well well, look who made it after all."
    r "By now, Linda, there should have been no doubt. This kid is too clever to have
       let us get away free. Well done, Trick."
    t "How did you both get on before me? Wasn't I just racing Linda to get aboard?"
    r "I've been aboard since the last time it did that disappearing subway act. It
       was a simple matter to pick up Linda on my way."
    m "Maybe we could hve just asked for a ride too, huh Trick?"
    t "Robin, listen. I want to lay the ghost train to rest."
    r "The fate that befell the train and its passengers that day twenty years ago was
       tragic. But I stand to gain too much from its use today. I can't let it pass on
       just yet."
    m "Wait, if he picked up Linda from aboard, does that mean he's already gained
       control of the train?"
    t "Do you already have comamnd, Robin?"
    r "Not completely, but I'm getting there. It allowed me to bring Linda aboard for
       her energy."
    m "I don't like my little sis being aboard this train where her life energy can be
       sucked out. Trick, we've got to put an end to this!"
    t "Right. And I know just how to tame this thing!"
    l "you what!?"
    t "I'm challenging you both, right here and right now! Winner earns the right to
       operate the ghost train!"
    l "There's no way in-"
    r "I accept."
    l "Robin!"
    r "Relax. With our combined wits, no one on Earth can match us. You disagree, Linda?"
    l "Not at all. Let the games begin!"
    r "This train may be a ghost now, but it's still a machine. It can run on power sources
       besides human life force."
    #play final theme
    $ config.rollback_enabled = False
    $ fscore = 0
    
label pb1:
    
    show tcirc with dissolve
    r "The buttons on the right will run the electricity through the wires. First person to 
       connect the right circuit takes round one."
    
label fboss1:
    
    show tcirc
    screen fb1:
    
        imagemap:
            ground "TrainP1.jpg"
            hover "TrainP1Map.jpg"
            
            hotspot (720, 80, 25, 20) clicked Return("yellow")
            hotspot (720, 235, 25, 20) clicked Return("red")
            hotspot (720, 515, 25, 20) clicked Return("green")
            
        imagebutton:
                ypos 407
                idle "melhint.png"
                hover "melhint.png"
                action [Jump ("fbh1")]
                
    call screen fb1
    $ result = _return
    
    if result == "yellow":
        play sound "wrong.ogg"
        t "I think it's this o-"
        l "Got it! The power is connected."
        t "What? I was wrong?"
        r "Looks like we win this one."
        t "(Shoot!)"
        if hglass == True:
            show hourglass with dissolve
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb1
                "No":
                    jump pb2
    if result == "red":
        play sound "wrong.ogg"
        t "I think it's this o-"
        l "Got it! The power is connected."
        t "What? I was wrong?"
        r "Looks like we win this one."
        t "(Shoot!)"
        if hglass == True:
            show hourglass with dissolve
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb1
                "No":
                    jump pb2
    if result == "green":
        play sound "correct.ogg"
        t "Got it! The green one."
        l "Tch. Lucky guess."
        t "And that's score one for me!"
        $ fscore += 1
        jump pb2
    
label fbh1:

    m "Trick, two of these wires are broken."
    jump fboss1
    
label pb2:

    scene cockpit with dissolve
    show robin at left
    show linda
    show melony at right
    r "Now that we have power available, let's feed it to the train. That will ensure
       our energies remain ours."
    show tpan with dissolve
    l "We'll use this control panel to get things running. The buttons need to be
       activated in the correct order."
    $ paneltries = 3
    $ fp2 = False
    
label p2setup:
    if fp2:
        $ fscore += 1
        play sound "correct.ogg"
        jump pb3
    $ fp1 = False
    $ fp2 = False
    $ fp3 = False
    $ fp4 = False
    $ fp5 = False
    $ fp6 = False
    $ fp7 = False
    $ fp8 = False
    
    if paneltries <= 0:
        r "I've done it. The train is operating under power."
        t "(Ugh. I was too slow.)"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb2
                "No":
                    jump pb3

label fboss2:

    show tpan
    
    screen fb2:
        
        imagemap:
            ground "ghostpanel.jpg"
            hover "ghostpanelMap.jpg"
            
            hotspot (60, 85, 85, 85) clicked Return("t1")
            hotspot (235, 85, 90, 85) clicked Return("t2")
            hotspot (490, 85, 85, 85) clicked Return("t3")
            hotspot (665, 85, 90, 85) clicked Return("t4")
            hotspot (60, 445, 85, 90) clicked Return("b1")
            hotspot (235, 445, 90, 90) clicked Return("b2")
            hotspot (490, 445, 85, 90) clicked Return("b3")
            hotspot (665, 445, 90, 90) clicked Return("b4")
            
        imagebutton:
                xalign .5
                xpos .5 ypos 407
                idle "melhint.png"
                hover "melhint.png"
                action [Jump ("fbh2")]
            
    call screen fb2
    $ result = _return
    
    if result == "t1":
        if not fp1:
            $ fp1 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
            
    if result == "t3":
        if fp1:
            $ fp3 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "t4":
        if fp3:
            $ fp4 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "b2":
        if fp4:
            $ fp6 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "b3":
        if fp6:
            $ fp7 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "b1":
        if fp7:
            $ fp5 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "b4":
        if fp5:
            $ fp8 = True
            play sound "button.ogg"
            jump fboss2
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    if result == "t2":
        if fp8:
            $ fp2 = True
            play sound "button.ogg"
            jump p2setup
        else:
            play sound "wrong.ogg"
            $ paneltries -= 1
            t "Dang, now I have to start over!"
            jump p2setup
    
label fbh2:
    m "I think those rectangles in the center correspond to each of the buttons."
    jump fboss2
    
label pb3:
    scene cockpit with dissolve
    show robin at left
    show linda
    show melony at right
    m "Wow, the train is actually using electricity to move!"
    r "This machine still has a mind of its own. We'll have to make sure it follows the
       tracks in the right directions."
    l "Ideally, a circle."
    r "Indeed. The fork ahead is already set to go right."
    show uparrow:
        xalign .5 yalign .5
        xpos 350 ypos 400
    show rarrow:
        xalign .5 yalign .5
        xpos 450 ypos 400
    show backarrow:
        xalign .5 yalign .5
        xpos 250 ypos 400
    show larrow:
        xalign .5 yalign .5
        xpos 150 ypos 400
    l "If we make a mistake, the train will take over again. The first direction should
       be forward, then we reach that fork."
    t "(And the route needs to be a circle. So, starting with forward...)"
    $ upc = False
    $ ric = False
    $ doc = False
    $ lec = False

label boss3:
    screen boss31:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 250 ypos 400
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("d_cl")]
        imagebutton:
            xalign .5 yalign .5
            xpos 350 ypos 400
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("u_cl")]
        imagebutton:
            xalign .5 yalign .5
            xpos 450 ypos 400
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("r_cl")]
        imagebutton:
            xalign .5 yalign .5
            xpos 150 ypos 400
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("l_cl")]
        imagebutton:
            xpos 500 ypos 0
            idle "melony.png"
            hover "melony.png"
            action [Jump ("fbh31")]
            
    call screen boss31
    
label u_cl:
    if not upc:
        $ upc = True
        play sound "correct.ogg"
        jump boss3
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label r_cl:
    if upc and not ric:
        $ ric = True
        play sound "correct.ogg"
        jump boss3
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label d_cl:
    if ric and not doc:
        $ doc = True
        play sound "correct.ogg"
        jump boss3
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label l_cl:
    if doc and not lec:
        $ lec = True
        play sound "correct.ogg"
        jump pb32
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label fbh31:
    m "A circle with the path ahead set to go right. That's what they said."
    jump boss3
    
label pb32:
    play sound "trackswitch.ogg"
    pause .75
    t "What was that?"
    l "Th-that was the sound of the fork changing tunnels!"
    r "It seems the ghost train has grown powerful enough to influence the physical
       subway. It's pulling out all the stops, pun intended."
    l "This is not the time for jokes, Robin!"
    r "Don't worry. We just need to plot an alternate circular route."
    $ upc = False
    $ lec = False
    $ doc = False
    $ ric = False
    
label boss32:
    screen boss3t:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 250 ypos 400
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("d_ct")]
        imagebutton:
            xalign .5 yalign .5
            xpos 350 ypos 400
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("u_ct")]
        imagebutton:
            xalign .5 yalign .5
            xpos 450 ypos 400
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("r_ct")]
        imagebutton:
            xalign .5 yalign .5
            xpos 150 ypos 400
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("l_ct")]
        imagebutton:
            xpos 500 ypos 0
            idle "melony.png"
            hover "melony.png"
            action [Jump ("fbh32")]
            
    call screen boss3t
    
label u_ct:
    if not upc:
        $ upc = True
        play sound "correct.ogg"
        jump boss32
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label l_ct:
    if upc and not ric:
        $ ric = True
        play sound "correct.ogg"
        jump boss32
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label d_ct:
    if ric and not doc:
        $ doc = True
        play sound "correct.ogg"
        jump boss32
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label r_ct:
    if doc and not lec:
        $ lec = True
        play sound "correct.ogg"
        t "This should do it."
        m "Good going, Trick!"
        $ fscore += 1
        jump pb4
    else:
        play sound "wrong.ogg"
        t "(Hope I'm going the right way...)"
        l "The route is set. You lose this round, Trick!"
        t "No!"
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb3
                "No":
                    jump pb4
label fbh32:
    m "So, starting with forward, but other direction this time?"
    jump boss32
    
label pb4:
    play sound "traina.ogg"
    scene cockpit with dissolve
    show robin at left
    show linda
    show melony at right
    t "Good. The train's running and following the path."
    m "T-Trick! What happened to the railcar?"
    t "Huh?"
    scene tempty with dissolve
    show melony at right
    t "Holy cow! All the seats and windows and everything are gone!"
    show linda at left with dissolve
    l "This thing just doesn't know when to give up."
    m "We've got to figure something out or we won't be able to get off the train!"
    hide melony with dissolve
    t "(This must be how the train traps people inside. Is it even possible to
       reverse this?)"
    hide linda with dissolve
    
label boss4:
    
    screen fb4:
        imagemap:
            ground "doormissing.jpg"
            hover "doormissing.jpg"
            
            hotspot (0, 0, 800, 600) clicked Return("wrongspot")
            hotspot (255, 90, 285, 355) clicked Return("rightspot")
            
        imagebutton:
            ypos 407
            idle "melhint.png"
            hover "melhint.png"
            action [Jump ("fbh4")]
    call screen fb4
        
    $ result = _return
        
    if result == "wrongspot":
        play sound "wrong.ogg"
        t "Man, I can't find it!"
        r "Rrgh."
        l "Robin?"
        r "It's too late. The ghost train may not be draining us now, but it did manage
           to trap us. We're its prisoners."
        l "WHAT?!"
        t "Wait, you mean we're..."
        r "Stuck with each other until the day we die."
        m "This can't be. After we've come so far..."
        if hglass == True:
            show hourglass with dissolve:
                xalign .5 yalign .5
                xpos .5 ypos .5
            "Use the hourglass to travel back in time?"
            menu:
                "Yes":
                    show black with dissolve
                    $ hglass = False
                    jump pb4
                "No":
                    jump doom_1
                    
    if result == "rightspot":
        play sound "correct.ogg"
        jump pb5
        
label fbh4:
    show melhint:
        ypos 407
    m "The door! Where is it?"
    jump boss4
    
label doom_1:
    show black with slow_d
    pause
    "G A M E  O V E R"
    return
    
label pb5:
    scene cockpit with dissolve
    show linda at left
    show melony at right
    if fscore < 3:
        l "Tough luck, kid. Couldn't keep up with us after all, it seems."
        t "I'm not done yet!"
        r "Sorry, Trick, but you are."
        t "Wait a minute-"
        r "The ghost train is under my control now, wholly and completely."
        l "That means it's game over!"
        t "No way!"
        t "(I'm... starting to feel weak...)"
        t "What's going on?"
        r "You knew the risks of coming aboard. The ghost train will slowly erase you,
           just like everyone else."
        t "(This can't be happening...)"
        m "Is this really how it ends?"
        show black with slow_d
        stop music fadeout 1
        m "No, Trick... don't give in... stay with... can't..."
        pause 1
        "G A M E  O V E R"
    elif fscore >= 3:
        l "You're not too shabby, Trick, lasting this long against us both. Answer me
           something: you called out the name Melony earlier. I want to know why, and I
           want the full truth."
        screen shes_there:
            imagebutton:
                xalign .5 yalign .5
                xpos 650
                idle "melony.png"
                hover "melony.png"
                action [Jump ("boss5")]
        call screen shes_there
        
label boss5:
    l "What are you pointing to?"
    m "Linda..."
    t "I know you can't see her, Linda, but your sister has been here with me. I can see
       ghosts."
    if have_pendant == True:
        show pendant at center with dissolve:
            ypos 300
        play music "melony.ogg" fadeout .5 fadein .5
        m "Please give her my pendant, Trick. Tell her to trasure it for me."
        t "(My hand brushes Melony's as I take the necklace. Her hand is soft and warm,
           but as the pendant changes hands, mine slips through hers. We can no longer
           touch each other. Hiding my loss, I present the necklace to Linda.)"
        hide pendant with dissolve
        l "That necklace! It was a birthday present I gave to her!"
        t "Make sure you treasure that pendant, Linda. It's what your sister wants.
           (I'm so sorry she can't see you herself, Melony...)"
        l "I... I will."
        $ fscore += 1
        $ linda_beat = True
        #final boss music
        jump pb6
    elif have_pendant == False:
        l "you expect me to believe that?"
        t "It's the truth. Look at me; do I look like I'm lying?"
        l "... Whatever."
        m "!!"
        l "Here or not, my sister died in that train wreck, and nothing anyone says
           or does will change that."
        m "No! Linda! I'm right here! Please!"
        t "Linda, Melony is-"
        l "Shut up! She's a memory and nothing more!"
        m "... But... But I..."
        t "(Melony can't say any more. The tears choke her like an iron glove. It's
           taking all her willpower not to cry out in agony.)"
        $ linda_beat = False
        jump pb6
        
label pb6:
    show linda:
        linear 1 xpos 200
    pause 1
    show robin at left with dissolve
    r "I realize it's rude to interrupt, but-"
    show black
    play sound "powerdown.ogg"
    pause 1
    t "...Yes, Robin?"
    r "There seems to be a blackout."
    l "All hail the master of the obvious."
    t "(I bet I can get a leg up on these two if I can get the power back first.)"
    $ f_y = False
    $ s_y = False
    $ t_y = False

label boss6:
    
    screen fpuz_6:
        
        imagemap:
            ground "blackout.jpg"
            hover "blackMap.jpg"
            
            hotspot (65, 205, 20, 45) clicked Return("ye1")
            hotspot (550, 250, 20, 45) clicked Return("ye2")
            hotspot (645, 445, 20, 45) clicked Return("ye3")
            hotspot (255, 350, 20, 45) clicked Return("rd1")
            
        imagebutton:
                ypos 407
                idle "melhint.png"
                hover "melhint.png"
                action [Jump ("fbh6")]
                
    call screen fpuz_6
    $ result = _return
    
    if result == "ye1":
        play sound "button.ogg"
        $ f_y = True
        jump boss6
        
    if result == "ye2":
        play sound "button.ogg"
        $ s_y = True
        jump boss6
        
    if result == "ye3":
        play sound "button.ogg"
        $ t_y = True
        jump boss6
        
    if result == "rd1":
        if f_y and s_y and t_y:
            play sound "button.ogg"
            t "Booyah."
            $ fscore += 1
            jump pb7
        else:
            play sound "wrong.ogg"
            t "Drat! I screwed up!"
            scene cockpit with dissolve
            show robin at left
            show linda at center
            show melony at right
            r "I've restored power. Valiant effort, though, Trick."
            if hglass == True:
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                "Use the hourglass to travel back in time?"
                menu:
                    "Yes":
                        show black with dissolve
                        $ hglass = False
                        jump pb6
                    "No":
                        jump pb7
                    
label fbh6:
    m "Something tells me the other-colored button should be the fourth one."
    jump boss6

label pb7:
    scene cockpit with dissolve
    show robin at left
    show linda at center
    show melony at right
    
    t "So, you two give up yet?"
    l "You've got to be kidding."
    r "This contest is far from over."
    t "Figured as much."
    m "Uh, Trick. The controls have changed."
    t "The controls have what?"
    
    scene birthday with dissolve
    l "Ugh, seriously?"
    r "Even I didn't expect this one."
    t "What is this supposed to mean?"
    r "The numbers at the top are today's date. No mystery there."
    t "(So then this other message?)"
    
label boss7:
    
    screen hbday:
        
        imagemap:
            ground "traincontrols2.jpg"
            hover "traincontrols2.jpg"
            
            hotspot (0, 0, 800, 600) clicked Return("bday")
            
        imagebutton:
            ypos 407
            idle "melhint.png"
            hover "melhint.png"
            action [Jump ("fbh7")]
            
    call screen hbday
    $ result = _return
    if result == "bday":
        $ ans = renpy.input("Type 6-digit date, day first", allow="{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}", length=6)
        $ ans = ans.strip( )
        if ans == "771969":
            play sound "correct.ogg"
            t "Yes. The train wrecked exactly twenty years ago. So the ghost train
            was 'born' on that day."
            $ fscore += 1
            jump pb8
        elif ans == "070769":
            play sound "correct.ogg"
            t "Yes. The train wrecked exactly twenty years ago. So the ghost train
            was 'born' on that day."
            $ fscore += 1
            jump pb8
        else:
            play sound "wrong.ogg"
            r "The ghost train's birthday. The day the crashed train came back as a
            specter."
            t "(Man, I should have been able to figure that out!)"
            if hglass == True:
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                "Use the hourglass to travel back in time?"
                menu:
                    "Yes":
                        show black with dissolve
                        $ hglass = False
                        jump pb7
                    "No":
                        jump pb8
                        
label fbh7:
    m "I think I sort of have this. We just enter the numbers, day, month, year, that it's
       asking for. But 'happy birthday to me'?"
    jump boss7
    
label pb8:
    scene cockpit with dissolve
    show robin at left
    show linda at center
    show melony at right
                
    l "It's almost done. Soon, one of us will be this train's new master."
    r "Be ready, you two. The ghost train is about to launch its most dangerous
       counterattack."
    t "I hope you don't mean what I'm afraid you mean."
    r "So you've experienced it too, then. The black voids."
    t "Yeah. I nearly got swallowed up last time."
    l "Then sit back and let us handle this."
    t "(I almost wish. But I have to do this.)"
    
label boss8:

    scene fork with fade
    r "The key here is to remember the route we chose earlier."
    t "The counter-clockwise circular loop."
    r "Yes. The train will likely create the voids on that route to try and force us to change.
       We can't afford to deviate from the plan, so we'll have to find some other way
       to dodge them."
    
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 520 ypos 300
        linear 8 zoom 25
        
    screen p81:
        imagebutton:
            xalign .5 yalign .5
            xpos 520 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("swallowed2")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("boss82")]
            
    call screen p81
    
label boss82:

    play sound "correct.ogg"
    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 280 ypos 300
        linear 7 zoom 25
        
    screen p82:
        imagebutton:
            xalign .5 yalign .5
            xpos 520 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("swallowed2")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("swallowed2")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("boss825")]
            
    call screen p82
    
label boss825:

    play sound "correct.ogg"
    scene tleft with fade
    m "Wow! Good thinking, Trick!"
    t "(I'm just glad that worked.)"
    show tleft:
        crop(0, 0, 800, 600)
        size (800, 600)
        linear 1 crop (50, 80, 400, 300)
    pause 1.5

label boss83:
    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 520 ypos 300
        linear 6 zoom 25
        
    screen p83:
        imagebutton:
            xalign .5 yalign .5
            xpos 520 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("swallowed2")]
                
        imagebutton:
            xalign .5 yalign .5
            xpos 280 ypos 345
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("boss84")]
            
    call screen p83
    
label boss84:
    play sound "correct.ogg"
    scene fork with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        parallel:
            xpos 280 ypos 300
            pause 1
            xpos 520 ypos 300
            pause 1
            xpos 400 ypos 500
            pause 1
            repeat
        parallel:
            linear 25 zoom 25
        
    t "Oh no! What now?"
label boss84b:
   # screen p84:
    #    imagebutton:
     #       ypos 407
     #       idle "melhint.png"
     #       hover "melhint.png"
     #       action [Jump ("fbh8")]
    #call screen p84
    
    menu:
        "Left!":
            jump swallowed2
        "Right!":
            jump swallowed2
        "Back!":
            jump swallowed2
        "Stay put?":
            jump swallowed3
        "Into the wall?!":
            jump boss85

#label fbh8:
   # m "Trick! We're on a GHOST train!"
   # jump boss84b

label swallowed2:
    play sound "wrong.ogg"
    scene run with fade
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 1 zoom 25
    if hglass == True:
        t "Oh no! (The hourglass. It's the only way.)"
        show hourglass with dissolve:
            xalign .5 yalign .5
            xpos .5 ypos .5
        pause 1
        show black with dissolve
        $ hglass = False
        jump pb8
    else:
        t "Oh no! It got u-"
        stop music fadeout 1
    pause
    "G A M E  O V E R"
    return
        
label swallowed3:
    show darkness with dissolve:
        xalign .5 yalign .5
        xpos 400 ypos 300
        linear 1 zoom 25
    if hglass == True:
        t "Oh no! (The hourglass. It's the only way.)"
        show hourglass with dissolve:
            xalign .5 yalign .5
            xpos .5 ypos .5
        pause 1
        show black with dissolve
        $ hglass = False
        jump pb8
    else:
        t "Oh no! It got u-"
        stop music fadeout 1
    pause
    "G A M E  O V E R"
    return
    
label boss85:
    scene tleft with fade
    t "That... was absolutely horrifying. But we're back on track now. Uh, pun not
       intended."
    $ fscore += 1
    jump pb9
            
label pb9:
    scene cockpit with dissolve
    show linda:
        xpos 210
    show robin:
        xpos -100
    show melony:
        xpos 550
    t "(OK. Recap. We've connected the circuits, got the train running, set the route,
       made sure we can get off the train, and dodged the black voids. What's left?)"
    $ ltalk = False
    $ mtalk = False
    $ rtalk = False
    $ lgot = False
    $ mgot = False
label boss9:
    
    screen talk_who:
            
        imagebutton:
            xpos 210
            idle "lindaNew.png"
            hover "lindaNew.png"
            action [Jump ("bossl")]
            
        imagebutton:
            xpos -100
            idle "RobinB.png"
            hover "RobinB.png"
            action [Jump ("bossr")]
            
        imagebutton:
            xpos 550
            idle "melony.png"
            hover "melony.png"
            action [Jump ("bossm")]
            
    call screen talk_who
    
label bossr:
    if not rtalk:
        t "You have the ability to control technology. Aside from me, what's stopping you
           from taking over the train?"
        r "Fair question. Aside from you, nothing is stopping me. The ghost train has been
           resisting, but we've gotten this far. Soon we'll conquer its will."
        t "(That's what I thought. So it doesn't seem like I'm missing anything here. My
           final obstacle is Robin.)"
        $ rtalk = True
    menu:
        "Challenge him":
            if lgot and mgot:
                $ fscore += 1
                jump pb10
            else:
                jump pb10
        "Not yet":
            jump boss9
            
label bossl:
    if not ltalk:
        t "Linda, I want to know something."
        l "What is it?"
        t "Why did you partner up with Robin?"
        l "That's not something you're privelaged to know."
        t "(I need to find a way to loosen her tongue.)"
        menu:
            "Use Melony":
                t "(This usually works on her.)"
                t "Linda, Melony IS here. You're breaking her heart by doing this."
                l "Kid, you've used that on me one too many times! You'd better clam up,
                   and I mean NOW!"
                t "!!! (Man, I screwed that up.)"
                if hglass == True:
                    show hourglass with dissolve:
                        xalign .5 yalign .5
                        xpos .5 ypos .5
                    "Use the hourglass to travel back in time?"
                    menu:
                        "Yes":
                            show black with dissolve
                            $ hglass = False
                            jump pb9
                        "No":
                            jump boss9
                else:
                    $ ltalk = True
                    jump boss9
            "Use the ghost train":
                t "I'd never heard of you before today, so you must have joined Robin just
                   before you both came here."
                l "Not a bad deduction. But wrong!"
                t "You were with him before?"
                l "Yes. I've always worked with Robin, but I stay behind the scenes. I turned to
                   this life after I lost Melony, and bumped into Robin by chance. We competed
                   over the same target, and Robin offered me a partnership."
                l "I was still rash back then, so I accepted. It meant less competition, you see.
                   And from their our work evolved into the team you see now."
                t "You don't regret it?"
                l "My one stipulation was that we never used violence. Robin thought likewise.
                   Our gain is our victims' loss, and I know firsthand what losing something
                   precious is like. But no, I don't regret it. This is my defiance of that day."
                m "Linda. You're not as alone as you think you are..."
                $ lgot = True
                $ ltalk = True
                jump boss9
    if ltalk:
        l "No more. I've had enough."
        jump boss9
        
label bossm:
    if not mtalk:
        t "(Things are coming to a point. This may be my last chance to talk to Melony.)"
        m "Trick, what is it?"
        menu:
            "About Robin":
                m "I've been wracking my brains, but I just can't get a read on him. I'm
                   not sure what he's planning with this train or how to stop him. The
                   best we can do is keep fighting and hopefully overpower his control."
                $ mtalk = True
                jump boss9
            "About us":
                m "Whatever happens now, I want you to know that I've loved every single
                   minute we've spent together. I find myself wishing I could have done
                   so much more for you than I have. I love you, Trick."
                $ mtalk = True
                $ mgot = True
                jump boss9
    if mtalk:
        m "Good luck, Trick."
        jump boss9
        
label pb10:
    pause 1
    hide linda with dissolve
    hide melony with dissolve
    show robin at left:
        linear 1 xpos 200
    pause 1
    if fscore >= 7:
        jump boss10
    else:
        r "Trick, it's been interesting. Unfortunately, our contest has reached its end."
        t "What do you mean?"
        play music "robin3.ogg" fadeout .5 fadein .5
        jump ending1
        
label boss10:
    r "I'm impressed, Trick. I really am. The route is almost done and there's not much
       left to do. So before I take over the train, I want to see for myself just how
       much you've learned."
    play music "robin3.ogg" fadeout .5 fadein .5
    r "You've been to the lower level. Why then do you think the ghost train only functions up here?"
    menu:
        "The lower levels are too damaged for it to operate in":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "(The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "The upper level is where it operated when it was 'alive.'":
            play sound "correct.ogg"
            r "Correct."
    r "Before we restored electrical power, from where was the ghost train getting its
       energy?"
    menu:
        "From the souls of the people who died in the crash":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "From us":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "From the people who've gone missing in this subway since then":
            play sound "correct.ogg"
            r "Correct."
    r "What are Linda and I planning to do with the ghost train?"
    menu:
        "I don't know":
            play sound "correct.ogg"
            r "Good, that was a trick question. We never actually revealed our reasons."
        "Appease it":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "Getaway vehicle":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "Rule the world":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
    r "Now, your reason for being here is to lay the ghost train to rest. How will you
       be able to do it?"
    t "Why ask me that?"
    r "For your own good. Think about what would happen if you were to fail. you need to be
       absolutely sure what you're doing."
    t "(Is he... actually trying to help me?)"
    menu:
        "With my ability to bridge the living and spirit worlds":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "Once it runs out of power, it will pass on":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "All I have to do is beat you":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "The train needs to accomplish its unfulfilled purpose":
            play sound "correct.ogg"
            r "Correct."
        "Give it a proper burial":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
    r "One final question. A train's purpose is to carry people to their destination. So tell me: where is
       that destination?"
    l "Hold on! There's no way he can possibly know that!"
    m "That's not a fair question!"
    r "If he wants to accomplish his goal, he needs to know this. So, Trick, where is
       it?"
    menu:
        "To the next world":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "Another platform":
            play sound "wrong.ogg"
            r "Incorrect. Not everyone gets off at the same place. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "To their own lives":
            t "If the destination were somewhere in this subway system, the ghost train
               could have delivered its passengers safely. But the real destination of
               people riding a subway car is to get back outside, to their lives."
            t "But because the train can't itself know where everyone needs to go, it just
               keeps ferrying them, and taking their energy to keep itself operating."
            play sound "correct.ogg"
            r "That's right. And since people who enter the spirit realm can't leave
               by their own power, they become trapped and can't depart the train."
            m "Does that mean there's no way to save them or the ghost train from their
               fate?"
            if have_pendant == True:
                jump ending3
            else:
                jump ending2
        "Back to the first platform":
            play sound "wrong.ogg"
            r "Incorrect. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "The train will choose":
            play sound "wrong.ogg"
            r "Incorrect. It can't read people's minds. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
        "Each passenger had a different destination":
            play sound "wrong.ogg"
            r "Incorrect. The train can't carry them just anywhere. I guess you haven't come as far as I thought."
            t "(No. I failed...)"
            if hglass == True:
                t "Oh no! (The hourglass. It's the only way.)"
                show hourglass with dissolve:
                    xalign .5 yalign .5
                    xpos .5 ypos .5
                pause 1
                show black with dissolve
                show cockpit with dissolve
                hide hourglass
                hide robin
                hide black with dissolve
                show linda:
                    xpos 210
                show robin:
                    xpos -100
                show melony:
                    xpos 550
                $ hglass = False
                jump pb10
            else:
                jump ending1
label ending1:
    r "The ghost train is under my control. During our time aboard the train
        together, I have been steadily working my influence upon it. And now it's
        mine."
    t "No way!"
    r "Don't worry. I'll drop you off at the platform. You can return home, but I
       must ask that you reveal nothing of what you've experienced down here."
    t "(Man, I don't believe this. I was so close. How could I have failed?)"
    m "Trick. Does this mean... it's over for us?"
    stop music fadeout 2.2
    show black with slow_d
    t "That's how my adventure ends. Robin and Linda gained command over the ghost
        train. From that day forward, they were unstoppable. No one could even
        get near them."
    t "I don't know how, but Robin's special power seems to have given the train
       capabilities beyond what it had before. Or maybe it was like that from the
       start, and he just discovered its secrets."
    t "Linda no longer operates behind the scenes. She's Robin's equal in the
       spotlight. Sometimes I wonder if she even remembers what I told her about
       Melony in that subway."
    t "Two years have passed since then. In exchange for Robin allowing me to leave
       the subway, I've kept my silence."
    t "If there's one thing I learned from the whole ordeal, it's that that's all
       I CAN do."
    pause 1
    "T H E  E N D ?"
    jump testcreds
    jump credits
    
label ending2:
    t "No. With my ability, I can not only guide the train where it needs to go, but I
       should be able to save the souls trapped aboard before they're consumed."
    r "Yes. Well, a deal is a deal. You've won my challenge, and the right to control
       the ghost train."
    show robin:
        linear 1 xpos -100
        pause 1
    show linda with dissolve:
        xpos 210
    show melony with dissolve:
        xpos 550
    l "Huh? You're giving it to him?"
    r "I am a man of wy word. Trick, do with the train as you will. Linda and I will
       be taking our leave."
    hide linda with dissolve
    hide robin with dissolve
    play music "puzzle1.ogg" fadeout .5 fadein .5
    m "Trick, we did it! We can appease the ghost train and save its passengers!"
    t "Right! OK, time to get this show on the... tracks."
    show black with dissolve
    t "Melony and I piloted the train throughout the subway, delivering the souls of
       the passengers to their stops and helping them depart the train."
    t "After that, it was time for the two of us to say our goodbyes. I wish we could
       have spent more time together, but Melony neeeded to complete her journey to
       the next world."
    t "But right before she disappeared, her face turned sad. I knew it was because she
       never got to really say goodbye to Linda."
    t "As for Robin and Linda, I never saw any sign of them after that, and I can't help
       but wonder where they went off to. Were they not wanted thieves, I might have
       even called them friends."
    t "My name is Trick. And if you're reading this, I'd like to say thank you. I
       wouldn't have accomplished what I did without your help. So wherever you are, I'm
       glad I was able to experience this journey with you."
    t "Until we meet again. --Cornelius 'Trick' Graham"
    "T H E  E N D"
    jump testcreds
    jump credits
    
label ending3:
    show robin:
        linear 1 xpos -100
        pause 1
    show linda with dissolve:
        xpos 210
    show melony with dissolve:
        xpos 550
    l "Not necessarily. Someone with an affinity for both the ghost and living worlds
       could reconnect the two and allow the passengers to leave."
    play music "melony.ogg" fadeout .5 fadein .5
    m "!!!!! Linda! you can... see me?!"
    l "Ever since Trick gave me your neckalce, I've had this feeling. It wasn't until
       just now that I let myself hope I might see you again."
    m "Sister..."
    l "Trick... If you can... if you can save the people trapped on the ghost train...
       can you save Melony too?"
    r "Linda, your sister wasn't a victim of the ghost train. She died in the crash."
    t "You can see her, too?"
    r "No, but I have no doubt you both can. But Linda, Melony isn't a prisoner like
       the rest of these poor souls. The passengers - the ones that haven't been
       completely erased, anyway - are still alive."
    l "So, there's no way...?"
    m "Please dont be sad, sis. I'm happy I was able to finally say goodbye before I
       moved on."
    l "N-no! You can't leave me! Don't go!"
    r "Linda! I know it hurts, but you nust accept that Melony needs to complete her
       journey into the next world."
    m "But I'll always watch over you. I promise."
    l "..."
    l "I'll never forget you, Melony."
    m "And I, you. Remember, I'm never far away. We'll meet each other again someday."
    m "Goodbye, sister. Goodbye, Trick."
    hide melony with dissolve
    l "...Goodbye."
    t "(Melony...)"
    stop music fadeout .5
    pause 1
    t "What now? Robin, will you give me command of the train so I can save the spirits
       trapped on board?"
    r "I will. With my ability to control technology, I've had some minor control. But
       I'll surrender it to you."
    t "What is that ability you have? I want to know more about it."
    r "Sorry, Trick, that's my secret."
    t "Fair enough. Thanks for doing this."
    show black with slow_d
    play music "puzzle1.ogg" fadein 2.2
    t "Robin was true to his word. With control of the train, I was able to help the
       prisoners disembark. Those who still had life force left began to regain their
       physical forms."
    t "After they'd all gone, the ghost train took off down the tracks on its own, 
       banishing into the air, never to appear again. It was finally at peace."
    t "I left the subway, looking for the next mysery to solve. Robin and Linda
       disappeared somewhere, only to be seen again on TV whenever they pulled off a
       heist."
    t "Eventually, they no longer plastered the news. Rumor was they both retired to
       live somewhere with their riches. Wanted thieves or no, I wish them both well."
    t "I never saw melony or Jack again, but every now and then I can almost hear a
       girl's voice whispering to me."
    t "My name is Trick. And if you're reading this, I'd like to say thank you. I
       wouldn't have accomplished what I did without your help. So wherever you are, I'm
       glad I was able to experience this journey with you."
    t "Until we meet again. --Cornelius 'Trick' Graham"
    "T H E  E N D"
    jump testcreds
    jump credits
    
label credits:

    "TRICK: THE RIDDLE DETECTIVE\n
     CREDITS"
    "SCREEN DESIGNER: MATT ESCHBACH"
    "CHARACTER DESIGNER: MATT ESCHBACH"
    "SCRIPT WRITER: MATT ESCHABCH"
    "PROGRAMMER: MATT ESCHBACH"
    "SOUND DESIGNER: BEN ESCHBACH"
    "PRODUCER: MATT ESCHBACH"
    "EXECUTIVE PRODUCER: GOD"
    "MARKETING EXECUTIVE: THE INTERNET"
    "PLAY AND QUALITY ASSURANCE TESTING: ALANNA BREWER, BEN ESCHBACH, SUSAN ESCHBACH,
     MATT CRAWFORD"
    "SPECIAL THANKS TO ALL THOSE WHO PLAYED THIS GAME AT THE 2014 BOSTON FESTIVAL OF
     INDIE GAMES AND WHO DOWNLOADED THE BETA TO HELP WITH TESTING!"
    "The credits are over now. Thanks for playing, and look forward to more abominations
     like this one from Sanctum Games!\n - Matt Eschbach, The Maker"
    pause
    
label testcreds:
    "Thank you for playing the T:RD beta. Errors, bugs, and other comments may be submitted
     to megamedesigner@gmail.com or on the forum at sanctum-games.com. If this was your first
     playthrough, there are more endings waiting to be discovered!"
    "Please look forward to the official game release. As a beta tester, use the code 'JrDtct'
     (without the single quotes) for an exclusive discount on the final game!"
    "Once again, thank you very much!\n - Matt Eschbach, The Maker"
    pause
    return